// This file was generated by gir (https://github.com/gtk-rs/gir)
// from gir-files (https://github.com/gtk-rs/gir-files)
// DO NOT EDIT

mod auth;
pub use self::auth::{Auth, AuthClass, NONE_AUTH};
pub use self::auth::AuthExt;

mod auth_basic;
pub use self::auth_basic::{AuthBasic, AuthBasicClass};

mod auth_digest;
pub use self::auth_digest::{AuthDigest, AuthDigestClass};

#[cfg(any(feature = "v2_42", feature = "dox"))]
mod auth_manager;
#[cfg(any(feature = "v2_42", feature = "dox"))]
pub use self::auth_manager::{AuthManager, AuthManagerClass, NONE_AUTH_MANAGER};
#[cfg(any(feature = "v2_42", feature = "dox"))]
pub use self::auth_manager::AuthManagerExt;

mod auth_ntlm;
pub use self::auth_ntlm::{AuthNTLM, AuthNTLMClass};

#[cfg(any(feature = "v2_54", feature = "dox"))]
mod auth_negotiate;
#[cfg(any(feature = "v2_54", feature = "dox"))]
pub use self::auth_negotiate::{AuthNegotiate, AuthNegotiateClass};

#[cfg(any(feature = "v2_34", feature = "dox"))]
mod cache;
#[cfg(any(feature = "v2_34", feature = "dox"))]
pub use self::cache::{Cache, CacheClass, NONE_CACHE};
#[cfg(any(feature = "v2_34", feature = "dox"))]
pub use self::cache::CacheExt;

mod content_decoder;
pub use self::content_decoder::{ContentDecoder, ContentDecoderClass, NONE_CONTENT_DECODER};

#[cfg(any(feature = "v2_28", feature = "dox"))]
mod content_sniffer;
#[cfg(any(feature = "v2_28", feature = "dox"))]
pub use self::content_sniffer::{ContentSniffer, ContentSnifferClass, NONE_CONTENT_SNIFFER};
#[cfg(any(feature = "v2_28", feature = "dox"))]
pub use self::content_sniffer::ContentSnifferExt;

#[cfg(any(feature = "v2_24", feature = "dox"))]
mod cookie_jar;
#[cfg(any(feature = "v2_24", feature = "dox"))]
pub use self::cookie_jar::{CookieJar, CookieJarClass, NONE_COOKIE_JAR};
#[cfg(any(feature = "v2_24", feature = "dox"))]
pub use self::cookie_jar::CookieJarExt;

#[cfg(any(feature = "v2_42", feature = "dox"))]
mod cookie_jar_db;
#[cfg(any(feature = "v2_42", feature = "dox"))]
pub use self::cookie_jar_db::{CookieJarDB, CookieJarDBClass, NONE_COOKIE_JAR_DB};
#[cfg(any(feature = "v2_42", feature = "dox"))]
pub use self::cookie_jar_db::CookieJarDBExt;

#[cfg(any(feature = "v2_26", feature = "dox"))]
mod cookie_jar_text;
#[cfg(any(feature = "v2_26", feature = "dox"))]
pub use self::cookie_jar_text::{CookieJarText, CookieJarTextClass, NONE_COOKIE_JAR_TEXT};
#[cfg(any(feature = "v2_26", feature = "dox"))]
pub use self::cookie_jar_text::CookieJarTextExt;

#[cfg(any(feature = "v2_40", feature = "dox"))]
mod multipart_input_stream;
#[cfg(any(feature = "v2_40", feature = "dox"))]
pub use self::multipart_input_stream::{MultipartInputStream, MultipartInputStreamClass, NONE_MULTIPART_INPUT_STREAM};
#[cfg(any(feature = "v2_40", feature = "dox"))]
pub use self::multipart_input_stream::MultipartInputStreamExt;

mod password_manager;
pub use self::password_manager::{PasswordManager, NONE_PASSWORD_MANAGER};
pub use self::password_manager::PasswordManagerExt;

mod proxy_resolver;
pub use self::proxy_resolver::{ProxyResolver, NONE_PROXY_RESOLVER};
pub use self::proxy_resolver::ProxyResolverExt;

mod proxy_resolver_default;
pub use self::proxy_resolver_default::{ProxyResolverDefault, ProxyResolverDefaultClass, NONE_PROXY_RESOLVER_DEFAULT};
pub use self::proxy_resolver_default::ProxyResolverDefaultExt;

#[cfg(any(feature = "v2_26_3", feature = "dox"))]
mod proxy_uri_resolver;
#[cfg(any(feature = "v2_26_3", feature = "dox"))]
pub use self::proxy_uri_resolver::{ProxyURIResolver, NONE_PROXY_URI_RESOLVER};
#[cfg(any(feature = "v2_26_3", feature = "dox"))]
pub use self::proxy_uri_resolver::ProxyURIResolverExt;

#[cfg(any(feature = "v2_42", feature = "dox"))]
mod request;
#[cfg(any(feature = "v2_42", feature = "dox"))]
pub use self::request::{Request, RequestClass, NONE_REQUEST};
#[cfg(any(feature = "v2_42", feature = "dox"))]
pub use self::request::RequestExt;

mod request_data;
pub use self::request_data::{RequestData, RequestDataClass, NONE_REQUEST_DATA};

#[cfg(any(feature = "v2_40", feature = "dox"))]
mod request_file;
#[cfg(any(feature = "v2_40", feature = "dox"))]
pub use self::request_file::{RequestFile, RequestFileClass, NONE_REQUEST_FILE};
#[cfg(any(feature = "v2_40", feature = "dox"))]
pub use self::request_file::RequestFileExt;

#[cfg(any(feature = "v2_40", feature = "dox"))]
mod request_http;
#[cfg(any(feature = "v2_40", feature = "dox"))]
pub use self::request_http::{RequestHTTP, RequestHTTPClass, NONE_REQUEST_HTTP};
#[cfg(any(feature = "v2_40", feature = "dox"))]
pub use self::request_http::RequestHTTPExt;

mod requester;
pub use self::requester::{Requester, RequesterClass, NONE_REQUESTER};
pub use self::requester::RequesterExt;

mod session;
pub use self::session::{Session, SessionClass, NONE_SESSION};
pub use self::session::SessionExt;

mod session_async;
pub use self::session_async::{SessionAsync, SessionAsyncClass, NONE_SESSION_ASYNC};

#[cfg(any(feature = "v2_24", feature = "dox"))]
mod session_feature;
#[cfg(any(feature = "v2_24", feature = "dox"))]
pub use self::session_feature::{SessionFeature, NONE_SESSION_FEATURE};
#[cfg(any(feature = "v2_24", feature = "dox"))]
pub use self::session_feature::SessionFeatureExt;

mod session_sync;
pub use self::session_sync::{SessionSync, SessionSyncClass, NONE_SESSION_SYNC};

mod client_context;
pub use self::client_context::ClientContext;

mod date;
pub use self::date::Date;

mod message_headers;
pub use self::message_headers::MessageHeaders;

#[cfg(any(feature = "v2_26", feature = "dox"))]
mod multipart;
#[cfg(any(feature = "v2_26", feature = "dox"))]
pub use self::multipart::Multipart;

mod enums;
pub use self::enums::AddressFamily;
pub use self::enums::CacheResponse;
pub use self::enums::ConnectionState;
#[cfg(any(feature = "v2_30", feature = "dox"))]
pub use self::enums::CookieJarAcceptPolicy;
pub use self::enums::DateFormat;
pub use self::enums::Encoding;
pub use self::enums::HTTPVersion;
pub use self::enums::KnownStatusCode;
pub use self::enums::LoggerLogLevel;
pub use self::enums::MemoryUse;
pub use self::enums::MessagePriority;
#[cfg(any(feature = "v2_42", feature = "dox"))]
pub use self::enums::RequestError;
pub use self::enums::RequesterError;
pub use self::enums::SocketIOStatus;
pub use self::enums::Status;
#[cfg(any(feature = "v2_40", feature = "dox"))]
pub use self::enums::TLDError;
#[cfg(any(feature = "v2_50", feature = "dox"))]
pub use self::enums::WebsocketCloseCode;
#[cfg(any(feature = "v2_50", feature = "dox"))]
pub use self::enums::WebsocketError;
#[cfg(any(feature = "v2_50", feature = "dox"))]
pub use self::enums::WebsocketState;
pub use self::enums::XMLRPCError;
pub use self::enums::XMLRPCFault;

mod flags;
pub use self::flags::Cacheability;
pub use self::flags::Expectation;
pub use self::flags::MessageFlags;
#[cfg(any(feature = "v2_48", feature = "dox"))]
pub use self::flags::ServerListenOptions;

#[doc(hidden)]
pub mod traits {
    pub use super::AuthExt;
    #[cfg(any(feature = "v2_42", feature = "dox"))]
    pub use super::AuthManagerExt;
    #[cfg(any(feature = "v2_34", feature = "dox"))]
    pub use super::CacheExt;
    #[cfg(any(feature = "v2_28", feature = "dox"))]
    pub use super::ContentSnifferExt;
    #[cfg(any(feature = "v2_24", feature = "dox"))]
    pub use super::CookieJarExt;
    #[cfg(any(feature = "v2_42", feature = "dox"))]
    pub use super::CookieJarDBExt;
    #[cfg(any(feature = "v2_26", feature = "dox"))]
    pub use super::CookieJarTextExt;
    #[cfg(any(feature = "v2_40", feature = "dox"))]
    pub use super::MultipartInputStreamExt;
    pub use super::PasswordManagerExt;
    pub use super::ProxyResolverExt;
    pub use super::ProxyResolverDefaultExt;
    #[cfg(any(feature = "v2_26_3", feature = "dox"))]
    pub use super::ProxyURIResolverExt;
    #[cfg(any(feature = "v2_42", feature = "dox"))]
    pub use super::RequestExt;
    #[cfg(any(feature = "v2_40", feature = "dox"))]
    pub use super::RequestFileExt;
    #[cfg(any(feature = "v2_40", feature = "dox"))]
    pub use super::RequestHTTPExt;
    pub use super::RequesterExt;
    pub use super::SessionExt;
    #[cfg(any(feature = "v2_24", feature = "dox"))]
    pub use super::SessionFeatureExt;
}
